Error 500 with EpiServer on DXP

Vote:
 

I have an issue with application on DXP environment.

I installed Content API which by the way works on local and did a deployment to DXP. During the installation of Content API I had to downgrade the version of WebAPI.Webhost to 5.2.6 from 5.2.7 as the API installation needed that.

After deployment to DXP the site worked, API worked and then suddenly I start getting error 500 and site is down. AI logs shows error saying system.net.http.formatting.dll version 5.2.7 was not found.

I checked the references, package and all have version 5.2.6. Not sure why on DXP it is looking for a different version.

If I redeploy the same code, application works for a while and then again same issue occurs. Tried raising a ticket with support group but they just provided me with same logs and we don't have a root cause yet.

Please note, I cannot update the webapi.client to 5.2.7 since episerver.contentdelivery.api.cms is not compatible with 5.2.7 it needs version 5.2.6 or less.

#218938
Mar 25, 2020 14:05
* You are NOT allowed to include any hyperlinks in the post because your account hasn't associated to your company. User profile should be updated.